unit fAsset;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, StdCtrls, DelphiWizard;

type
  TForm1 = class(TForm)
    Notebook1: TNotebook;
    Wiz: TDelphiWizard;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    Label5: TLabel;
    Edit4: TEdit;
    rgEquip: TRadioGroup;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Edit5: TEdit;
    CheckBox1: TCheckBox;
    RadioGroup2: TRadioGroup;
    Label12: TLabel;
    Edit6: TEdit;
    RadioGroup3: TRadioGroup;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Image1: TImage;
    Bevel1: TBevel;
    Label14: TLabel;
    Label15: TLabel;
    Edit7: TEdit;
    Label16: TLabel;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    Label17: TLabel;
    Edit8: TEdit;
    Edit9: TEdit;
    Label18: TLabel;
    Label9: TLabel;
    Label13: TLabel;
    Memo1: TMemo;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Bevel2: TBevel;
    Label22: TLabel;
    Label23: TLabel;
    ComboBox1: TComboBox;
    procedure WizPageChanging(Direction: TWizDirection;
      var ShowPage: Integer);
    procedure WizEndClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.WizPageChanging(Direction: TWizDirection;
  var ShowPage: Integer);
begin
  case Direction of
    wzdNext: with Notebook1 do begin
      if PageIndex = 1 then
        case rgEquip.ItemIndex of
          0,1,2: ShowPage := 2;
          3: ShowPage := 3;
          4: ShowPage := 4;
          5,6: ShowPage := 5;
        end
      else if PageIndex in [2,3,4,5] then ShowPage := 6;
    end;
    wzdBack: with Notebook1 do begin
      if PageIndex = 6 then
        case rgEquip.ItemIndex of
          0,1,2: ShowPage := 2;
          3: ShowPage := 3;
          4: ShowPage := 4;
          5,6: ShowPage := 5;
        end
      else if PageIndex in [2,3,4,5] then ShowPage := 1;
    end;
  end;
end;

procedure TForm1.WizEndClick(Sender: TObject);
begin
  if Wiz.Ready then
    ShowMessage('Updated')
  else
    ShowMessage('Cancelled');
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
var i: integer;
begin
  with NoteBook1, ComboBox1 do
    for i := 0 to Pages.Count - 1 do
      Items.Add(Copy(Pages[i],3,20));
  ComboBox1.ItemIndex := 1;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  Wiz.GoToPage(ComboBox1.ItemIndex);
end;

end.
